//---------------------------------------------------------------------------
#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <FMX.Controls.hpp>
#include <FMX.Forms.hpp>
#include <FMX.Controls.Presentation.hpp>
#include <FMX.Objects.hpp>
#include <FMX.StdCtrls.hpp>
#include <FMX.Types.hpp>
#include "FSvgCanvas.hpp"
//---------------------------------------------------------------------------
class TFormMain : public TForm
{
__published:	// IDE-managed Components
  TToolBar *ToolBar;
  TButton *ButtonSaveSvg;
  TPaintBox *PaintBox;
  void __fastcall PaintBoxPaint(TObject *Sender, TCanvas *Canvas);
  void __fastcall ButtonSaveSvgClick(TObject *Sender);
private:	// User declarations
  bool WriteSvg;
  void __fastcall DrawPicture(TSvgCanvas *Canvas);
public:		// User declarations
  __fastcall TFormMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TFormMain *FormMain;
//---------------------------------------------------------------------------
#endif
